Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class EDMFieldDef

    java.lang.Object
      com.sun.mdm.index.parser.EDMFieldDef

public class EDMFieldDef
extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `displayName`
`(package private) java.lang.String` | `displayOrder`
`(package private) java.lang.String` | `fieldName`
`(package private) java.lang.String` | `guiType`
`(package private) java.lang.String` | `inputMask`
`(package private) java.lang.String` | `keyType`
`(package private) java.lang.String` | `maxLength`
`(package private) boolean` | `report`
`(package private) java.lang.String` | `requiredInSearchScreen`
`(package private) boolean` | `usedInSearchResult`
`(package private) boolean` | `usedInSearchScreen`
`(package private) java.lang.String` | `valueList`
`(package private) java.lang.String` | `valueMask`
`(package private) java.lang.String` | `valueType`

Constructor Summary
`(package private)` | `EDMFieldDef()` Creates a new instance of EDMFieldDef
`(package private)` | `EDMFieldDef(java.lang.String fieldName)` Creates a new instance of EDMFieldDef

Method Summary
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getDisplayOrder()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getguiType()`
`java.lang.String` | `getInputMask()`
`java.lang.String` | `getKeyType()`
`java.lang.String` | `getMaxLength()`
`boolean` | `getReport()`
`java.lang.String` | `getRequiredInSearchScreen()`
`boolean` | `getUsedInSearchResult()`
`boolean` | `getUsedInSearchScreen()`
`java.lang.String` | `getValueList()`
`java.lang.String` | `getValueMask()`
`java.lang.String` | `getValueType()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setDisplayOrder(java.lang.String displayOrder)`
`void` | `setFieldName(java.lang.String fieldName)`
`void` | `setGuiType(java.lang.String guiType)`
`void` | `setInputMask(java.lang.String inputMask)`
`void` | `setKeyType(java.lang.String keyType)`
`void` | `setMaxLength(java.lang.String maxLength)`
`void` | `setReport(boolean report)`
`void` | `setRequiredInSearchScreen(java.lang.String requiredInSearchScreen)`
`void` | `setUsedInSearchResult(boolean usedInSearchResult)`
`void` | `setUsedInSearchScreen(boolean usedInSearchScreen)`
`void` | `setValueList(java.lang.String valueList)`
`void` | `setValueMask(java.lang.String valueMask)`
`void` | `setValueType(java.lang.String valueType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### displayName

    java.lang.String displayName

### displayOrder

    java.lang.String displayOrder

### fieldName

    java.lang.String fieldName

### guiType

    java.lang.String guiType

### inputMask

    java.lang.String inputMask

### keyType

    java.lang.String keyType

### maxLength

    java.lang.String maxLength

### report

    boolean report

### requiredInSearchScreen

    java.lang.String requiredInSearchScreen

### usedInSearchResult

    boolean usedInSearchResult

### usedInSearchScreen

    boolean usedInSearchScreen

### valueList

    java.lang.String valueList

### valueMask

    java.lang.String valueMask

### valueType

    java.lang.String valueType

Constructor Detail

### EDMFieldDef

    EDMFieldDef()

  Creates a new instance of EDMFieldDef

### EDMFieldDef

    EDMFieldDef(java.lang.String fieldName)

  Creates a new instance of EDMFieldDef

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Returns:
    String displayName

### getDisplayOrder

    public java.lang.String getDisplayOrder()

  Returns:
    String displayOrder

### getFieldName

    public java.lang.String getFieldName()

  Returns:
    String fieldName

### getguiType

    public java.lang.String getguiType()

  Returns:
    String guiType

### getInputMask

    public java.lang.String getInputMask()

  Returns:
    String inputMask

### getKeyType

    public java.lang.String getKeyType()

  Returns:
    String keyType

### getMaxLength

    public java.lang.String getMaxLength()

  Returns:
    String maxLength

### getReport

    public boolean getReport()

  Returns:
    boolean report

### getRequiredInSearchScreen

    public java.lang.String getRequiredInSearchScreen()

  Returns:
    String requiredInSearchScreen

### getUsedInSearchResult

    public boolean getUsedInSearchResult()

  Returns:
    boolean usedInSearchResult

### getUsedInSearchScreen

    public boolean getUsedInSearchScreen()

  Returns:
    boolean usedInSearchScreen

### getValueList

    public java.lang.String getValueList()

  Returns:
    String valueList

### getValueMask

    public java.lang.String getValueMask()

  Returns:
    String valueMask

### getValueType

    public java.lang.String getValueType()

  Returns:
    String valueType

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### setDisplayOrder

    public void setDisplayOrder(java.lang.String displayOrder)

### setFieldName

    public void setFieldName(java.lang.String fieldName)

### setGuiType

    public void setGuiType(java.lang.String guiType)

### setInputMask

    public void setInputMask(java.lang.String inputMask)

### setKeyType

    public void setKeyType(java.lang.String keyType)

### setMaxLength

    public void setMaxLength(java.lang.String maxLength)

### setReport

    public void setReport(boolean report)

### setRequiredInSearchScreen

    public void setRequiredInSearchScreen(java.lang.String requiredInSearchScreen)

### setUsedInSearchResult

    public void setUsedInSearchResult(boolean usedInSearchResult)

### setUsedInSearchScreen

    public void setUsedInSearchScreen(boolean usedInSearchScreen)

### setValueList

    public void setValueList(java.lang.String valueList)

### setValueMask

    public void setValueMask(java.lang.String valueMask)

### setValueType

    public void setValueType(java.lang.String valueType)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.